#' Grouping factors corresponding to gas-chromatography data of Antarctic Fur Seals (\emph{Arctocephalus gazella})
#'
#' @description
#' List of factors corresponding to samples in \code{\link{peak_data}}
#'
#' @format
#' A data frame where columns represent factors, rows are samples.
#'
#' @source
#' http://www.pnas.org/content/suppl/2015/08/05/1506076112.DCSupplemental/pnas.1506076112.sd02.xlsx
#'
#' @references
#' Stoffel, M.A.; Caspers, B.A.; Forcada, J.; Giannakara, A.; Baier, M.; Eberhart-Phillips, L.; Mueller, C.; Hoffman, J.I. (2015): Chemical fingerprints encode mother-offspring similarity, colony membership, relatedness, and genetic quality in fur seals. In: Proceedings of the National Academy of Sciences of the United States of America 112 (36), S. E5005-12. DOI: 10.1073/pnas.1506076112.
#'
#' @keywords datasets
#' @name peak_factors
#'
#' @docType data
NULL
